/// <reference types="node" />
import * as http from "http";
import * as https from "https";
export declare class ServerAddress {
    server: http.Server | https.Server;
    protocol: string;
    isListening: boolean;
    connections: Set<any>;
    constructor(app: http.RequestListener | http.Server | https.Server);
    /**
     * Listen to a random port number.
     */
    listen(cb?: () => void): void;
    /**
     * Close the server (if listening).
     */
    close(cb?: () => void): void;
    /**
     * Resolve a URL to the server location.
     */
    url(path?: string): string;
}
